#!/usr/bin/env python
"""
Usage: svg2code [options] <in file (svg)> <out file(gcode)>
  options:  -h, --help  This help
            -s, --safe-height drill safe height ( default 3mm)
           
"""

# CVS $Id: svg2gcode.py,v 1.3 2012-05-03 06:10:28 zellini Exp $

import math
from copy import deepcopy
import sys,re,getopt


from ZetaTurtle import PCBDrill,P,PR,Scale,Offset


def main():
  # default values
  safe_height=3
  
  # parse command line options
  try:
    opts, args = getopt.getopt(sys.argv[1:], "hs:", ["help","safe-height="])
  except getopt.error, msg:
    print msg
    print "for help use --help"
    sys.exit(2)
  # process options
  for o, a in opts:
    if o in ("-h", "--help"):
      print __doc__
      sys.exit(0)
    if o in ("-s","--safe-height"):
      safe_height = float (a)
      print "Safe Height setted to [%f]" % (safe_height)
  # process arguments
  if len (args)!=2:
    print __doc__
    sys.exit(0)
      
  svg = args[0]; gcode = args[1]

  d = PCBDrill (P(0,0,0),Offset(0,0,0),Scale(1,1,1),safe_height)


  d.sock = open (gcode,'w')
  d.emit ("G21\n")
  d.emit ("G94\n")
  d.svg (svg)
  d.emit ("M2")

  sys.exit(0)

if __name__ == "__main__":
  main()


